---
# tasks/volumes/fstab
# setup storage volumes

- name: Create fstab entries
  ansible.posix.mount:
    path: "{{ mounts.paths[item.name] }}"
    src: "{{ item.src }}"
    fstype: "xfs"
    opts: "defaults,noatime,nofail,x-systemd.device-timeout=10 0 0"
    state: "{{ item.status }}"
  with_items: "{{mounts[inventory_hostname]}}"
